AgentConnect
Organization knowledge

List retained Dream suggestions

Lists owner-reviewable Dream suggestion metadata retained by the control plane.

GET
/v1/orgs/{orgId}/knowledge-suggestions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Query Parameters

kind?string

Value in

  • "knowledge"
  • "skill"
state?string

Value in

  • "pending"
  • "accepted"
  • "rejected"
query?string
Lengthlength <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/knowledge-suggestions"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "sourceAgentId": "6d8f542a-28ef-4bff-8b67-d79657ba1d03",    "sourceAgentName": "string",    "sourceDaemonId": "string",    "dreamId": "string",    "candidateId": "10f4deb6-fd4e-4907-a47e-355caf6e449d",    "kind": "knowledge",    "operation": "create",    "targetArtifactId": "string",    "targetRevision": -9007199254740991,    "title": "string",    "summary": "string",    "tags": [      "string"    ],    "digest": "string",    "contentBytes": 0,    "sessionIds": [      "string"    ],    "state": "pending",    "contentAvailable": true,    "reviewedAt": "string",    "reviewReason": "string",    "acceptedArtifactId": "string",    "acceptedArtifactRevision": -9007199254740991,    "createdAt": "string",    "updatedAt": "string"  }]